C     ECATFPG MODEL
C     FILEIO.FOR
C     CHECK INPUT AND OUTPUT FILES


      SUBROUTINE FILEIO

C     DEFINE VARIABLES    

C     FILEIN: INPUT DAILY DATA FILE IDENTIFICATION NUMBER
      CHARACTER*4  FILEIN
C     FILEOUT: OUTPUT FILE NAME
      CHARACTER*11 FILEOUT
C     DAILY DATA FILE NAME
      CHARACTER*11 DPD
C     VARIABLE TO TAKE RESPONSE FROM USER      
      CHARACTER*1 ANSWER1
C     LOGICAL VARIABLES TO CHECK INPUT AND OUTPUT FILES
      LOGICAL FLAGIN, FLAGOUT
      
C     ASK FOR THE STATION_ID      
10    PRINT *, 'PLEASE ENTER STATION ID (4 DIGIT ONLY):'
      READ (*,5000) FILEIN
5000  FORMAT (A4)                  

C     CREATE INPUT FILE NAME FROM STATION_ID      
      DPD = (FILEIN // 'D_2.TXT')

C     CHECK INPUT FILE STATUS
      INQUIRE (FILE=DPD, EXIST=FLAGIN)
      IF (FLAGIN .EQV. .TRUE.) THEN
       GOTO 20
      ELSE 
       PRINT *, 'DPD FILE DOES NOT EXIST.' 
       PRINT *, 'DO YOU WANT TO ENTER THE STATION ID AGAIN?'
       PRINT *, 'PRESS Y FOR YES, OR ANY OTHER KEYS TO QUIT,'
       PRINT *, 'THEN PRESS RETURN.'
       READ (*, 5030) ANSWER1
       IF ((ANSWER1 .EQ. 'Y') .OR. (ANSWER1 .EQ. 'y')) THEN
        GOTO 10
       ELSE 
        STOP
       END IF
      END IF

C     IF CHECKING INPUT STATUS PASS, THEN OPEN THE FILE.
20    OPEN(UNIT=11,FILE=DPD,STATUS='OLD', ERR=20000)

C     ASK FOR OUTPUT FILE NAME
      FILEOUT = (FILEIN // 'D_3.TXT')
      PRINT *
      PRINT *  
      PRINT *, 'OUTPUT FILE IS SAVED AS ', FILEOUT

C     CHECK OUTPUT FILE STATUS
      INQUIRE (FILE=FILEOUT, EXIST=FLAGOUT)
      IF (FLAGOUT .EQV. .TRUE.) THEN
       PRINT *, 'FILE ALREADY EXISTED. WANT TO REPLACE IT?'
       PRINT *, 'ENTER Y FOR YES, OR ANY OTHER KEYS TO QUIT,' 
       PRINT *, 'THEN PRESS RETURN.'
       READ (*, 5030) ANSWER1
       IF ((ANSWER1 .EQ. 'Y') .OR. (ANSWER1 .EQ. 'y')) THEN
        GOTO 40
       ELSE 
        STOP
       END IF
      ELSE
       GOTO 40
      END IF   
5030  FORMAT(A1)

C     IF CHECKING STATUS PASS, THEN OPEN THE FILE.
40    OPEN(UNIT = 12, FILE = FILEOUT, ERR = 20000)      

      GOTO 99999

C     ERROR HANDLER      
20000 PRINT*, 'ERROR HAPPENS WHEN OPENING THE FILE.'
      GOTO 99999       

99999 END             
      